@charset "UTF-8";

/****header****/
header {
    position: fixed;
    width: 100%;
    transition: background-color .4s ease-in-out;
    z-index: 999;
}

#mainmenuCheck {
    position: absolute;
    top: -100vw;
    left: -100vh;
    width: 0;
    height: 0;
    overflow: hidden;
}

.navbar {
    width: 100%;
    height: 100%;
}

/****logo****/
.logo {
    position: absolute;
    top: 50px;
    left: 50px;
    padding: 0 0 0 60px;
    transform-origin: top left;
    transition: opacity .4s ease-in-out, transform .4s ease-in-out;
    z-index: 10;
}

.logo:hover {
    opacity: .7;
}

.logo__pic {
    position: absolute;
    top: 0;
    left: 0;
    width: 40px;
}

.logo__main {
    top: 35px;
    display: block;
    width: 100%;
    font-size: 40px;
    line-height: 1;
    /* color: #44464e; */
    color: #1f5987;
    font-family: 'LogoFont';
    /* padding: 0 0 30px 0; */
    transform: translateY(-50%);
}

.logo__sub {
    position: absolute;
    bottom: 0;
    right: 0;
    display: none;
    width: 100%;
    font-size: 12px;
    line-height: 1;
    color: #44464e;
    font-family: 'Calibri-L';
    text-align: right;
    letter-spacing: 2px;
    transform-origin: bottom right;
    transform: scale(.92);
}

/****主選單****/
.mainMenu {
    display: flex;
    align-items: flex-end;
    align-content: flex-end;
    justify-items: flex-end;
    justify-content: flex-end;
    width: auto;
    padding: 0 35px 0 0;
    margin: 0 275px 0 auto;
    transition: transform 1s ease-in-out;
}

.mainMenu__item {
    display: block;
    width: auto;
    padding: 40px 25px 20px 25px;
}

/*收合才出現項目*/
.mainMenu__item-collapse {
    display: none;
}

.mainMenu__item__link {
    display: block;
    width: 100%;
    font-size: 17px;
    line-height: 1.2;
    font-family: 'NotoSansTC-M';
    color: #313131;
    padding: 0 0 20px 0;
    text-align: center;
}

.mainMenu__item__link::before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 3px;
    border-radius: 1.5px;
    background: #17c2ca;
    transform-origin: center;
    opacity: 0;
    transform: scaleX(0);
    transition: opacity .4s ease-in-out, transform .4s ease-in-out;
}

.mainMenu__item:hover .mainMenu__item__link::before {
    opacity: 1;
    transform: scaleX(1);
}

.mainMenu__item-drop .mainMenu__item__link {
    padding: 0 30px 20px 0;
}

.mainMenu__item-drop .mainMenu__item__link::after {
    content: '';
    position: absolute;
    top: calc(50% - 12px);
    right: 0;
    display: block;
    width: 12px;
    height: 6px;
    background: url(../../images/common/icon_arrow_bottom_gray.svg) center no-repeat;
    background-size: contain;
    transition: transform .4s ease-in-out;
}

/**次選單**/
.mainMenu__item__list {
    position: absolute;
    top: 100%;
    left: -25%;
    display: block;
    width: 150%;
    border-radius: 5px;
    background: #fff;
    box-shadow: 0 40px 40px rgba(44, 48, 67, .15);
    overflow: hidden;
    opacity: 0;
    transform-origin: top center;
    transform: scaleY(0);
    transition: opacity .4s ease-in-out, transform .4s ease-in-out;
}

.mainMenu__item-drop:hover .mainMenu__item__list {
    opacity: 1;
    transform: scaleY(1);
}

.mainMenu__item__list__item {
    display: block;
    width: auto;
}

.mainMenu__item__list__item::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 100%;
    opacity: 0;
    background: linear-gradient(to right, #24cbd3 0%, #0bbac2 100%);
    transition: opacity .4s ease-in-out;
}

.mainMenu__item__list__item:hover::before {
    opacity: 1;
}

.mainMenu__item__list__item__link {
    display: block;
    width: 100%;
    font-size: 17px;
    line-height: 1.2;
    font-family: 'NotoSansTC-M';
    color: #313131;
    padding: 25px 30px 25px 20px;
    transition: color .4s ease-in-out;
}

.mainMenu__item__list__item__link::after {
    content: '';
    position: absolute;
    top: calc(50% - 5px);
    right: 15px;
    display: block;
    width: 5px;
    height: 10px;
    background: url(../../images/common/icon_arrow_next_white.svg) center no-repeat;
    background-size: contain;
    filter: invert(1);
    transition: filter .4s ease-in-out;
}

.mainMenu__item__list__item__link:hover {
    color: #fff;
}

.mainMenu__item__list__item__link:hover::after {
    filter: invert(0);
}

/**選單切換鈕**/
.navbt {
    position: absolute;
    top: 0;
    right: 115px;
    display: none;
    flex-wrap: wrap;
    align-items: center;
    align-content: center;
    justify-items: flex-end;
    justify-content: flex-end;
    width: 35px;
    height: 100%;
    cursor: pointer;
    transition: transform .4s ease-in-out;
    z-index: 20;
}

.navbt span {
    display: block;
    width: 100%;
    height: 2px;
    background: #000;
    transition: transform .4s ease-in-out, opacity .4s ease-in-out;
}

.navbt span:nth-child(2) {
    margin: 6.5px 0;
}

.navbt span:nth-child(3) {
    width: 50%;
    background: #0bbac2;
}

/**登入鈕**/
.header__login {
    position: absolute;
    top: 0;
    right: 100px;
    display: flex;
    align-items: center;
    align-content: center;
    justify-items: center;
    justify-content: center;
    font-size: 17px;
    line-height: 1;
    color: #fff;
    font-family: 'NotoSansTC-B';
    padding: 41.5px 30px;
    border-radius: 0 0 0 5px;
    background: linear-gradient(to right, #24cbd3 0%, #0bbac2 100%);
    transition: opacity .4s ease-in-out;
    overflow: hidden;
}

.header__login:hover {
    opacity: .7;
}

.header__login__icon {
    top: 1px;
    width: 15px;
    margin: 0 15px 0 0;
}

/**登出鈕**/
.header__logout {
    position: absolute;
    top: 0;
    right: 100px;
    display: flex;
    align-items: center;
    align-content: center;
    justify-items: center;
    justify-content: center;
    max-height: 100px;
    font-size: 17px;
    line-height: 1;
    color: #fff;
    font-family: 'NotoSansTC-B';
    padding: 37.5px 30px;
    margin: 0 0 0 -38.33px;
    border-radius: 0 0 0 5px;
    background: linear-gradient(to right, #24cbd3 0%, #0bbac2 100%);
    transition: opacity .4s ease-in-out;
    overflow: hidden;
}

.header__logout:hover {
    opacity: .7;
}

.header__logout__icon {
    top: 1px;
    width: 25px;
    margin: 0 15px 0 0;
}

/****search bar****/
.header__serch {
    position: absolute;
    top: 0;
    right: 0;
    display: block;
    width: 100px;
    height: 100px;
    z-index: 10;
}

.header__serch input[type="checkbox"] {
    position: absolute;
    top: -100vh;
    right: -100vw;
    width: 0;
    height: 0;
    overflow: hidden;
}

/**展開鈕**/
.header__serch__bt {
    display: block;
    width: 100%;
    height: 100%;
    background: url(../../images/common/icon_magnifier_white.svg) center no-repeat #15171b;
    background-size: 20px auto;
    cursor: pointer;
    transition: opacity .4s ease-in-out;
}

.header__serch__bt:hover {
    opacity: .7;
}

/**搜尋框**/
.header__serch__bar {
    position: absolute;
    top: 100%;
    right: 0;
    display: flex;
    align-items: center;
    align-content: center;
    justify-items: flex-start;
    justify-content: flex-start;
    width: 100vw;
    max-width: 960px;
    background: #fff;
    padding: 15px 0;
    box-shadow: 0 40px 40px rgba(44, 48, 67, .15);
    opacity: 0;
    pointer-events: none;
    transition: opacity .4s ease-in-out;
}

.header__serch__bar::before {
    content: '';
    position: relative;
    display: block;
    width: 100px;
    height: 70px;
    background: url(../../images/common/icon_magnifier_white.svg) center no-repeat;
    background-size: 35px auto;
    filter: invert(1);
    flex: 0 0 100px;
}

.header__serch__bar::after {
    content: '';
    position: absolute;
    bottom: 100%;
    right: 42.5px;
    display: block;
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 0 7.5px 10px 7.5px;
    border-color: transparent transparent #fff transparent;
}

.header__serch__bar__input {
    width: 100%;
    border: none;
    font-size: 30px;
    padding: 0 30px 0 0;
    background: none;
    border-radius: 0;
    flex: 0 1 100%;
}

.header__serch__bar__bt {
    width: 145px;
    padding: 25px;
    background: #f2f2f2;
    border: none;
    border-radius: 5px;
    font-size: 15px;
    color: #b2b2b2;
    text-align: center;
    pointer-events: none;
    cursor: pointer;
    transition: background-color .4s ease-in-out, color .4s ease-in-out;
    flex: 0 0 145px;
}

.header__serch__bar__bt.active {
    background: #15171b;
    color: #fff;
    pointer-events: all;
}

.header__serch__bar__close {
    width: 100px;
    height: 70px;
    background: url(../../images/common/icon_close_black.svg) center no-repeat;
    background-size: 30px auto;
    flex: 0 0 100px;
}

/**搜尋框展開樣式**/
#searchCheck:checked~.header__serch__bar {
    opacity: 1;
    pointer-events: all;
}

/****選單背景樣式****/
header.active {
    background: #fff;
    border-bottom: 1px solid #d2d2d2;
}

header.active .logo {
    transform: scale(.7) translate(0, -30px);
}

/****主選單展開樣式****/
#mainmenuCheck:checked~.navbt span:nth-child(1) {
    transform: rotate(45deg) translateY(2px);
}

#mainmenuCheck:checked~.navbt span:nth-child(2) {
    transform: rotate(-45deg) translateY(-1px);
    margin: 0;
}

#mainmenuCheck:checked~.navbt span:nth-child(3) {
    opacity: 0;
}

@media screen and (max-width: 1500px) {
    .mainMenu__item {
        padding: 40px 15px 20px 15px;
    }

    .mainMenu {
        padding: 0 15px 0 0;
    }
}

@media screen and (max-width: 1300px) {
    header {
        height: 80px;
        background: #fff;
        border-bottom: 1px solid #d2d2d2;
    }

    /****logo****/
    header .logo,
    header.active .logo {
        top: 17.5px;
        left: 15px;
        transform: scale(.65);
        transition: opacity .4s ease-in-out;
    }

    header .logo {
        padding: 0 0 0 60px;
    }

    /**選單切換鈕**/
    .navbt {
        display: flex;
    }

    /****主選單****/
    .mainMenu {
        position: absolute;
        top: 0;
        left: 100%;
        display: block;
        width: 100%;
        height: 100vh;
        background: #fff;
        padding: 80px 30px 100px 30px;
        overflow-x: hidden;
        overflow-y: auto;
        z-index: 20;
    }

    .mainMenu::-webkit-scrollbar {
        width: 0;
    }

    .mainMenu__item {
        padding: 0;
    }

    /*收合才出現項目*/
    .mainMenu__item-collapse {
        display: block;
    }

    .mainMenu__item::before,
    .mainMenu__item::after {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        display: block;
        width: 100%;
        height: 2px;
        background: #eee;
        border-radius: 1px;
        overflow: hidden;
    }

    .mainMenu__item::after {
        display: none;
        top: auto;
        bottom: 0;
    }

    .mainMenu__item:last-child:after {
        display: block;
    }

    .mainMenu__item__link {
        padding: 15px 0;
        font-size: 16px;
        text-align: left;
    }

    .mainMenu__item__link::before {
        display: none;
    }

    .mainMenu__item-drop .mainMenu__item__link {
        padding: 15px 30px 15px 0;
    }

    .mainMenu__item-drop .mainMenu__item__link::after {
        top: calc(50% - 3px);
    }

    .mainMenu__item-drop.active .mainMenu__item__link::after {
        transform: scaleY(-1);
    }

    /**次選單**/
    .mainMenu__item__list {
        position: relative;
        top: 0;
        left: 0;
        width: 100%;
        padding: 10px 0;
        border-radius: 0;
        box-shadow: none;
        opacity: 1;
        transform: scaleY(1);
        display: none;
    }

    .mainMenu__item__list::before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        display: block;
        width: 100%;
        height: 2px;
        background: #eee;
        border-radius: 1px;
        overflow: hidden;
    }

    .mainMenu__item__list__item::before {
        display: none;
    }

    .mainMenu__item__list__item__link {
        font-size: 16px;
        padding: 7.5px 0 7.5px 30px;
    }

    .mainMenu__item__list__item__link::before {
        content: '';
        position: absolute;
        display: block;
        top: 16px;
        left: 0;
        width: 7.5px;
        height: 2px;
        background: #313131;
    }

    .mainMenu__item__list__item__link::after {
        display: none;
    }

    .mainMenu__item__list__item__link:hover {
        color: #313131;
    }

    /**登入&登出鈕**/
    .header__login,
    .header__logout {
        display: none;
    }

    /****search bar****/
    /**展開鈕**/
    .header__serch {
        width: 80px;
        height: 80px;
    }

    .header__serch__bar::after {
        right: 32.5px;
    }

    /****主選單展開樣式****/
    #mainmenuCheck:checked~.mainMenu {
        transform: translateX(-100%);
    }

    #mainmenuCheck:checked~.navbt {
        transform: translateX(80px);
    }
}

@media screen and (max-width: 991px) {

    /**搜尋框**/
    .header__serch__bar {
        flex-wrap: wrap;
        padding: 30px;
    }

    .header__serch__bar::before {
        display: none;
    }

    .header__serch__bar__input {
        font-size: 19px;
        padding: 0 50px 0 0;
        margin: 0 0 30px 0;
    }

    .header__serch__bar__bt {
        width: 100%;
        padding: 20px 10px;
        flex: 0 0 100%;
    }

    .header__serch__bar__close {
        position: absolute;
        top: 30px;
        right: 30px;
        width: 18px;
        height: 18px;
        background-size: contain;
    }
}

@media screen and (max-width: 767px) {}

@media screen and (max-width: 575px) {
    header {
        height: 55px;
    }

    /***logo****/
    header .logo,
    header.active .logo {
        top: 12.5px;
        left: 10px;
        transform: scale(.43);
    }

    /**選單切換鈕**/
    .navbt {
        right: 75px;
    }

    /****主選單展開樣式****/
    #mainmenuCheck:checked~.navbt {
        transform: translateX(60px);
    }

    /****主選單****/
    .mainMenu {
        padding: 55px 20px 100px 20px;
    }

    /****search bar****/
    /**展開鈕**/
    .header__serch {
        width: 55px;
        height: 55px;
    }

    .header__serch__bar::after {
        right: 22.5px;
        border-width: 0 5px 7.5px 5px;
    }

    /**搜尋框**/
    .header__serch__bar {
        padding: 30px 20px 20px 20px;
    }

    .header__serch__bar__input {
        padding: 0 50px 0 0;
        margin: 0 0 30px 0;
    }

    .header__serch__bar__bt {
        padding: 10px;
    }

    .header__serch__bar__close {
        top: 30px;
        right: 20px;
        width: 18px;
        height: 18px;
    }
}



/****IOS樣式****/
@supports (-webkit-touch-callout: none) {}